Get All Pinboards

Get All Pinboards
Get all pinboards

This api is deprecated. Please use custom dashboard api instead.

Request
URI
GET
https://{api_host}/api/ni/pinboards
COPY
Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedPinboardResponse of type(s) application/json
{
    "results": [
        {
            "id": "18799:10002:211561153588",
            "name": "Pinboard Name",
            "description": "This is the pinboard description",
            "create_timestamp": "156789876",
            "last_updated_timestamp": "156789876",
            "owner": "admin@local",
            "users_read_access": [
                "[email protected]",
                "[email protected]"
            ],
            "users_write_access": [
                "[email protected]",
                "[email protected]"
            ],
            "pins": [
                {
                    "id": "1000:10001:78690089",
                    "name": "Pin Name",
                    "query": "Alert where Severity = 'Critical'"
                }
            ],
            "groups_write_access": [
                "CN=HR,CN=Users"
            ],
            "groups_read_access": [
                "cn=administrators"
            ]
        }
    ],
    "cursor": 0,
    "total_records": 0
}
array of object
results
Optional

results

integer
cursor
Optional

cursor

integer
total_records
Optional

total_records


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/pinboards